aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--basta.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/basta.sh b/basta.sh
index 5367c68..b920abd 100644
--- a/basta.sh
+++ b/basta.sh
@@ -332,7 +332,8 @@ basta.fullscreen()
printf $'\e7\e[1;%sr\e8' $realrows >&$ttyfd
stty rows $realrows <&$ttyfd
- LINES=$realrows command "$@" || exit=$?
+ local args=$(printf "%q " "$@")
+ LINES=$realrows eval command $args || exit=$?
if [ $saveterm ] ; then
printf $'\e[?1049l' >&$ttyfd